/*Begin of head for every patch*/
if exists (select * from "DBA"."subRegistry" where registryid = 'System' and subregistryid = 'Patch')
then  
   delete from SubRegistry where registryid = 'System' and subregistryid = 'Patch'
end if;
/*End of head for every patch*/

if not exists (select 1 from BankSubmitFormat where BankSubmitSubmitForId = 'Salary' and FormatName = 'HLB (ConnectFirst)') then
  insert into BankSubmitFormat (BankSubmitSubmitForId, FormatName, DllName, FormatterInvoke, IsCustomised)
  values ('Salary', 'HLB (ConnectFirst)', 'RMalayBankFormatHLBConnectFirst.dll', 'InvokeSalaryFormatter', 0);
end if;

if not exists (select 1 from BankSubmitFormat where BankSubmitSubmitForId = 'CP39' and FormatName = 'HLB (ConnectFirst)') then
  insert into BankSubmitFormat (BankSubmitSubmitForId, FormatName, DllName, FormatterInvoke, IsCustomised)
  values ('CP39', 'HLB (ConnectFirst)', 'RMalayBankFormatHLBConnectFirst.dll', 'InvokeCP39Formatter', 0);
end if;

if not exists (select 1 from BankSubmitFormat where BankSubmitSubmitForId = 'EPF' and FormatName = 'HLB (ConnectFirst)') then
  insert into BankSubmitFormat (BankSubmitSubmitForId, FormatName, DllName, FormatterInvoke, IsCustomised)
  values ('EPF', 'HLB (ConnectFirst)', 'RMalayBankFormatHLBConnectFirst.dll', 'InvokeEPFFormatter', 0);
end if;

if not exists (select 1 from BankSubmitFormat where BankSubmitSubmitForId = 'SOCSO' and FormatName = 'HLB (ConnectFirst)') then
  insert into BankSubmitFormat (BankSubmitSubmitForId, FormatName, DllName, FormatterInvoke, IsCustomised)
  values ('SOCSO', 'HLB (ConnectFirst)', 'RMalayBankFormatHLBConnectFirst.dll', 'InvokeSOCSOFormatter', 0);
end if;

/*Begin of tailor for every patch*/
insert into "DBA"."subRegistry" (registryid, subregistryid, IntegerAttr) values ('System', 'Patch', 1);
commit work;
/*End of tailor for every patch*/