/*Begin of head for every patch*/
if exists(select * from "DBA"."subRegistry" WHERE registryid='System'and subregistryid='Patch')
then  
   Delete from SubRegistry where registryid='System'and subregistryid='Patch'
end if;
/*End of head for every patch*/

/* Force all foreign worker SOCSO Progression to 2nd Category */
Update SOCSOProgression 
	JOIN PayEmployee ON PayEmployee.EmployeeSysId = SOCSOProgression.EmployeeSysId 
	JOIN Employee ON PayEmployee.EmployeeSysId = Employee.EmployeeSysId
	Set SOCSOProgSchemeId ='SOCSO2nd' 
	Where SOCSOEffectiveDate >= '2019-01-01' AND SOCSOProgPolicyId='SOCSOYr2019Jan' AND SOCSOProgSchemeId = 'SOCSO1st' 
	AND Employee.ResidenceStatus = 'FW';

/*Begin of tailor for every patch*/
INSERT into "DBA"."subRegistry"(registryid,subregistryid,IntegerAttr) values('System','Patch',1);
commit work;
/*End of tailor for every patch*/